View Issue Details

IDProjectCategoryView StatusLast Update
0030904LazarusIDEpublic2017-01-30 10:48
ReporterTsvetoslavAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSWindowsOS Version7
Product Version1.7 (SVN)Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0030904: Empty component pallete page when selected with pallete drop-down form
DescriptionWhen a component pallete page is selected for the first time through the drop-down pallete list form, the selected pallete page appears blank.
Steps To ReproduceStart Lazarus, click on drop-down button at the end of the component pallete and select a different pallete page. It appears empty, without any controls on it.
See the attached screenshots.
TagsNo tags attached.
Fixed in Revisionr53345, r53350
LazTarget1.8
WidgetsetWin32/Win64
Attached Files

Relationships

child of 0025554 resolvedBart Broersma pagecontrol onchange event 

Activities

Tsvetoslav

2016-11-10 13:44

reporter  

SelectPalletePage.png (12,662 bytes)
SelectPalletePage.png (12,662 bytes)

Tsvetoslav

2016-11-10 13:44

reporter  

PalletePageEmpty.png (18,379 bytes)
PalletePageEmpty.png (18,379 bytes)

Mattias Gaertner

2016-11-10 14:02

manager   ~0095736

Same on Linux/gtk2.

Ondrej Pokorny

2016-11-11 14:40

reporter   ~0095770

Bart I assume it's a regression after your change of TPageControl.OnChange event behavior. Feel free to unassign if not.

Bart Broersma

2016-11-11 17:54

developer   ~0095774

@Ondrej Pokorny: indeed it is.

Please test and close if OK

Ondrej Pokorny

2016-11-11 22:27

reporter   ~0095786

As a second regression, please mind also http://lists.lazarus-ide.org/pipermail/lazarus/2016-October/230066.html [^]

I'll check it if you don't have a mouse :)

Bart Broersma

2016-11-11 22:32

developer   ~0095788

@Ondrej: http://lists.lazarus-ide.org/pipermail/lazarus/2016-October/230066.html

I cannot find that conversation in my email client I use for the list at all.

AFAICS TPageControl does not override DoMouseWheel etc methods.
I cannot find that ComponentPageControl has an OnMouseWheel event.

So, where does the pagecontrol switch page when mousewheel is used?

Ondrej Pokorny

2016-11-11 22:37

reporter   ~0095789

> I cannot find that ComponentPageControl has an OnMouseWheel event.

TComponentPalette.OnPageMouseWheel

Don't worry, I fix that.

Bart Broersma

2016-11-11 23:13

developer   ~0095790

OK thanks.
Just found out that a standard TPageControl does not react on mousewheel (dug up an old mouse and connected it to my laptop to test).

Tsvetoslav

2017-01-30 10:48

reporter   ~0097813

Thanks, it seems OK now.

Issue History

Date Modified Username Field Change
2016-11-10 13:44 Tsvetoslav New Issue
2016-11-10 13:44 Tsvetoslav File Added: SelectPalletePage.png
2016-11-10 13:44 Tsvetoslav File Added: PalletePageEmpty.png
2016-11-10 14:02 Mattias Gaertner LazTarget => -
2016-11-10 14:02 Mattias Gaertner Status new => confirmed
2016-11-10 14:02 Mattias Gaertner Note Added: 0095736
2016-11-11 14:39 Ondrej Pokorny Assigned To => Bart Broersma
2016-11-11 14:39 Ondrej Pokorny Status confirmed => assigned
2016-11-11 14:40 Ondrej Pokorny Note Added: 0095770
2016-11-11 17:53 Bart Broersma Relationship added child of 0025554
2016-11-11 17:54 Bart Broersma Fixed in Revision => r53345
2016-11-11 17:54 Bart Broersma LazTarget - => 1.8
2016-11-11 17:54 Bart Broersma Note Added: 0095774
2016-11-11 17:54 Bart Broersma Status assigned => resolved
2016-11-11 17:54 Bart Broersma Fixed in Version => 1.7 (SVN)
2016-11-11 17:54 Bart Broersma Resolution open => fixed
2016-11-11 17:54 Bart Broersma Target Version => 1.8
2016-11-11 22:27 Ondrej Pokorny Note Added: 0095786
2016-11-11 22:32 Bart Broersma Note Added: 0095788
2016-11-11 22:32 Bart Broersma Status resolved => assigned
2016-11-11 22:32 Bart Broersma Resolution fixed => reopened
2016-11-11 22:37 Ondrej Pokorny Note Added: 0095789
2016-11-11 22:46 Ondrej Pokorny Fixed in Revision r53345 => r53345, r53350
2016-11-11 22:46 Ondrej Pokorny Status assigned => resolved
2016-11-11 22:46 Ondrej Pokorny Resolution reopened => fixed
2016-11-11 23:13 Bart Broersma Note Added: 0095790
2017-01-30 10:48 Tsvetoslav Note Added: 0097813
2017-01-30 10:48 Tsvetoslav Status resolved => closed